    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------------
    028     * AbstractXYZDataset.java
    029     * -----------------------
    030     * (C) Copyright 2004-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited).
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 05-May-2004 : Version 1 (DG);
    038     * 15-Jul-2004 : Switched getZ() and getZValue() (DG);
    039     *
    040     */
    041
    042    package org.jfree.data.xy;
    043
    044    /**
    045     * An base class that you can use to create new implementations of the
    046     * {@link XYZDataset} interface.
    047     */
    048    public abstract class AbstractXYZDataset extends AbstractXYDataset
    049            implements XYZDataset {
    050
    051        /**
    052         * Returns the z-value (as a double primitive) for an item within a series.
    053         *
    054         * @param series  the series (zero-based index).
    055         * @param item  the item (zero-based index).
    056         *
    057         * @return The z-value.
    058         */
    059        public double getZValue(int series, int item) {
    060            double result = Double.NaN;
    061            Number z = getZ(series, item);
    062            if (z != null) {
    063                result = z.doubleValue();
    064            }
    065            return result;
    066        }
    067
    068    }